Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UITooltip.Properties

    java.lang.Object
      java.lang.Enum<UITooltip.Properties>
          org.richfaces.component.UITooltip.Properties

All Implemented Interfaces:
  Serializable, Comparable<UITooltip.Properties>

Enclosing class:
  UITooltip

    protected static enum UITooltip.Properties

extends Enum<UITooltip.Properties>

Enum Constant Summary
`attached`
`data`
`dir`
`direction`
`execute`
`followMouse`
`hideDelay`
`hideEvent`
`horizontalOffset`
`jointPoint`
`lang`
`layout`
`limitRender`
`mode`
`onbeforedomupdate`
`onbeforehide`
`onbeforeshow`
`onbegin`
`onclick`
`oncomplete`
`ondblclick`
`onhide`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onshow`
`render`
`showDelay`
`showEvent`
`status`
`style`
`styleClass`
`title`
`verticalOffset`
`zindex`

Method Summary
`static UITooltip.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UITooltip.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### attached

    public static final UITooltip.Properties attached

### data

    public static final UITooltip.Properties data

### dir

    public static final UITooltip.Properties dir

### direction

    public static final UITooltip.Properties direction

### execute

    public static final UITooltip.Properties execute

### followMouse

    public static final UITooltip.Properties followMouse

### hideDelay

    public static final UITooltip.Properties hideDelay

### hideEvent

    public static final UITooltip.Properties hideEvent

### horizontalOffset

    public static final UITooltip.Properties horizontalOffset

### jointPoint

    public static final UITooltip.Properties jointPoint

### lang

    public static final UITooltip.Properties lang

### layout

    public static final UITooltip.Properties layout

### limitRender

    public static final UITooltip.Properties limitRender

### mode

    public static final UITooltip.Properties mode

### onbeforedomupdate

    public static final UITooltip.Properties onbeforedomupdate

### onbeforehide

    public static final UITooltip.Properties onbeforehide

### onbeforeshow

    public static final UITooltip.Properties onbeforeshow

### onbegin

    public static final UITooltip.Properties onbegin

### onclick

    public static final UITooltip.Properties onclick

### oncomplete

    public static final UITooltip.Properties oncomplete

### ondblclick

    public static final UITooltip.Properties ondblclick

### onhide

    public static final UITooltip.Properties onhide

### onmousedown

    public static final UITooltip.Properties onmousedown

### onmousemove

    public static final UITooltip.Properties onmousemove

### onmouseout

    public static final UITooltip.Properties onmouseout

### onmouseover

    public static final UITooltip.Properties onmouseover

### onmouseup

    public static final UITooltip.Properties onmouseup

### onshow

    public static final UITooltip.Properties onshow

### render

    public static final UITooltip.Properties render

### showDelay

    public static final UITooltip.Properties showDelay

### showEvent

    public static final UITooltip.Properties showEvent

### status

    public static final UITooltip.Properties status

### style

    public static final UITooltip.Properties style

### styleClass

    public static final UITooltip.Properties styleClass

### title

    public static final UITooltip.Properties title

### verticalOffset

    public static final UITooltip.Properties verticalOffset

### zindex

    public static final UITooltip.Properties zindex

Method Detail

### values

    public static UITooltip.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UITooltip.Properties c : UITooltip.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UITooltip.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.